﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.CampaignName}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div id="statisticsSquares">
        <div id="delivered" class="place-left one-third" style="border: black 1px solid;text-align: center">
            <h3>{{Model.DeliveredNum}}</h3>
            <div id="num">
                Delivered
            </div>
            @*<div id="rate">
                    % {{Model.DeliveredRate}}
                </div>*@
        </div>
        <div id="opened" class="place-left one-third" style="border: black 1px solid;text-align: center">
            <h3>{{Model.OpenedNum}}</h3>
            <div id="num">
                Opened
            </div>
            @*<div id="rate">
                    % {{Model.OpenedRate}}
                </div>*@
        </div>
        <div id="clicked" class="place-left one-third" style="border: black 1px solid;text-align: center">
            <h3>{{Model.ClickedNum}}</h3>
            <div id="num">
                Clicked
            </div>
            @*<div id="rate">
                    % {{Model.ClickedRate}}
                </div>*@
        </div>
    </div>

    <div id="statisticsText" class="place-left margin-top10">
        <div class="one-third">
            <h3>
                Open rate<div kendo-progress-bar="progressBar" k-min="0" k-max="100" ng-model="Model.OpenedRate" k-on-change="changeLabel(kendoEvent,'Opened')"></div>
            </h3>
        </div>
        <div class="one-third">
            <h3>
                Click rate<div kendo-progress-bar="progressBar" k-min="0" k-max="100" ng-model="Model.ClickedRate" k-on-change="changeLabel(kendoEvent,'Clicked')"></div>
            </h3>
        </div>
        <div>
            <h3>Successful deliveries .......... {{Model.DeliveredNum}} ({{Model.DeliveredRate}} %)</h3>
        </div>
        <div>
            <h3>Last opened .......... {{Model.LastOpenedDate}}</h3>
        </div>
        <div>
            <h3>Last clicked .......... {{Model.LastClickedDate}}</h3>
        </div>
    </div>

    <div class="place-left margin-top10 full-width">
        <div kendo-chart
             k-data-source="lineChartDataSource"
             k-options="linearChartOption" style="height:200px"></div>
    </div>

    @*<div class="place-left one-third">
            <div kendo-chart
                 k-legend="{ position: 'bottom' }"
                 k-series-defaults="{type: 'pie',labels:{visible: true,background: 'transparent' ,template: '#= category #: \n #= value#%'}}"
                 k-series="[{field: 'Value',categoryField: 'Action'}]"
                 k-data-source="pieChartDataSource"
                 k-tooltip="{visible: true,template: '<div class=\'text-center\'>#= category #: #= value #%</div>',color:'white'}"
                style="height:200px"></div>
        </div>*@
    @*<div class="place-left two-third">
            Opened: {{Model.OpenedRate}} %

            Clicked: {{Model.ClickedRate}} %
        </div>*@
    <div class="clearfix"></div>
    <hr />
    <label for="searchAttendee">Search by participant email</label>
    <div class="input-control text" data-role="input-control">
        <input id="searchAttendee" ng-model="searchAttendee" type="text" placeholder="Enter participant email here" ng-change="">
        <button class="btn-search" tabindex="-1" type="button" ng-click="attendeeSearch()"></button>
    </div>
    <div class="clearfix"></div>
    <kendo-grid options="gridOptions"></kendo-grid>
</div>
